<?php 
include ($_SERVER["DOCUMENT_ROOT"]."/Site/checkadmin.php");

$moduleurl = $_SERVER["REQUEST_URI"];
$urlcut = strpos($moduleurl, "&");
if($urlcut > 0)
{
	$moduleurl = substr($moduleurl,0,$urlcut);
}
else
{ 
	if(strpos($moduleurl, "?") == 0)
	{
		$moduleurl = $_SERVER["REQUEST_URI"]."?site=1"; 	
	}
}

$mode = $_REQUEST["uebergabe"];
$status = $_REQUEST["uebergabe2"];

echo"		<p><a href=\"".$moduleurl."&uebergabe=0\">Home</a> 
			|  <a href=\"".$moduleurl."&uebergabe=1\">Config</a> 
			| <a href=\"".$moduleurl."&uebergabe=2\">Logviewer</a></p><hr><br>";
switch($status)
{
	default:
		break;
}

switch($mode)
{
	case 1:
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/Squid/index_config.php");
		break;
	case 2: 
		include ($_SERVER["DOCUMENT_ROOT"]."/Admin/Modules/Squid/index_log.php");
		break;
	default:
		echo"<h1><b>Squid Management</b></h1>   
			<h2>Choose an action:</h2>
			<p># <a href=\"".$moduleurl."&uebergabe=1\">Config</a></p> 
			<p># <a href=\"".$moduleurl."&uebergabe=2\">Logviewer</a></p><br>";
		break;		
}
?>
